<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [travelToCity](./bitburner.singularity.traveltocity.md)

## Singularity.travelToCity() method

Travel to another city.

**Signature:**

```typescript
travelToCity(city: CityName): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

city


</td><td>

[CityName](./bitburner.cityname.md)


</td><td>

City to travel to.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if action is successful, false otherwise.

## Remarks

RAM cost: 2 GB \* 16/4/1

This function allows the player to travel to any city. The cost for using this function is the same as the cost for traveling through the Travel Agency.

